Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.sdk
Class AxedaSDKManagerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.axeda.esrs.sdk.AxedaSDKManagerException

All Implemented Interfaces:
  AxedaSDKException, java.io.Serializable

    public class AxedaSDKManagerException

extends java.lang.Exception
implements AxedaSDKException

Created by IntelliJ IDEA. User: kholbrook Date: Jul 8, 2009 Time: 9:36:52 AM To change this template use File | Settings | File Templates.

See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_CAST_EXCEPTION`
`static int` | `DATAITEM_NOT_FOUND`
`static int` | `DEVICE_NOT_FOUND`
`static int` | `DEVICE_NOT_GATEWAY`
`static int` | `GATEWAY_NOT_FOUND`
`static int` | `INVALID_ALARM`
`static int` | `INVALID_DATAITEM`
`static int` | `INVALID_DEVICE`
`static int` | `INVALID_IDENTIFIER`
`static int` | `INVALID_INTERFACE`
`static int` | `INVALID_LIST`
`static int` | `INVALID_MODEL`
`static int` | `INVALID_NOTIFICATION_NAME`
`static int` | `INVALID_REMOTE_SESSION`
`static int` | `INVALID_SESSION`
`static int` | `INVALID_STRING`
`static int` | `MODEL_NOT_FOUND`
`static int` | `NULL_POINTER_EXCEPTION`
`static int` | `REMOTE_SERVERS_UNAVAILABLE`
`static int` | `UNKNOWN_EXCEPTION`
`static int` | `USER_NOT_FOUND`

Constructor Summary
`AxedaSDKManagerException(int errorCode)`
`AxedaSDKManagerException(int errorCode, java.lang.Exception e)`

Method Summary
`int` | `getCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USER_NOT_FOUND

    public static final int USER_NOT_FOUND

See Also:
  Constant Field Values

### GATEWAY_NOT_FOUND

    public static final int GATEWAY_NOT_FOUND

See Also:
  Constant Field Values

### DEVICE_NOT_FOUND

    public static final int DEVICE_NOT_FOUND

See Also:
  Constant Field Values

### MODEL_NOT_FOUND

    public static final int MODEL_NOT_FOUND

See Also:
  Constant Field Values

### DATAITEM_NOT_FOUND

    public static final int DATAITEM_NOT_FOUND

See Also:
  Constant Field Values

### INVALID_SESSION

    public static final int INVALID_SESSION

See Also:
  Constant Field Values

### INVALID_IDENTIFIER

    public static final int INVALID_IDENTIFIER

See Also:
  Constant Field Values

### INVALID_DEVICE

    public static final int INVALID_DEVICE

See Also:
  Constant Field Values

### INVALID_LIST

    public static final int INVALID_LIST

See Also:
  Constant Field Values

### INVALID_STRING

    public static final int INVALID_STRING

See Also:
  Constant Field Values

### INVALID_MODEL

    public static final int INVALID_MODEL

See Also:
  Constant Field Values

### INVALID_INTERFACE

    public static final int INVALID_INTERFACE

See Also:
  Constant Field Values

### INVALID_DATAITEM

    public static final int INVALID_DATAITEM

See Also:
  Constant Field Values

### INVALID_ALARM

    public static final int INVALID_ALARM

See Also:
  Constant Field Values

### INVALID_NOTIFICATION_NAME

    public static final int INVALID_NOTIFICATION_NAME

See Also:
  Constant Field Values

### NULL_POINTER_EXCEPTION

    public static final int NULL_POINTER_EXCEPTION

See Also:
  Constant Field Values

### CLASS_CAST_EXCEPTION

    public static final int CLASS_CAST_EXCEPTION

See Also:
  Constant Field Values

### UNKNOWN_EXCEPTION

    public static final int UNKNOWN_EXCEPTION

See Also:
  Constant Field Values

### DEVICE_NOT_GATEWAY

    public static final int DEVICE_NOT_GATEWAY

See Also:
  Constant Field Values

### INVALID_REMOTE_SESSION

    public static final int INVALID_REMOTE_SESSION

See Also:
  Constant Field Values

### REMOTE_SERVERS_UNAVAILABLE

    public static final int REMOTE_SERVERS_UNAVAILABLE

See Also:
  Constant Field Values

Constructor Detail

### AxedaSDKManagerException

    public AxedaSDKManagerException(int errorCode)

### AxedaSDKManagerException

    public AxedaSDKManagerException(int errorCode,
                                    java.lang.Exception e)

Method Detail

### getCode

    public int getCode()

  Specified by:
    `getCode` in interface `AxedaSDKException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD